<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clipChildren="false">

    <com.adealink.weparty.commonui.blurview.BlurTarget
        android:id="@+id/blur_target"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/vp_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </com.adealink.weparty.commonui.blurview.BlurTarget>

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/main_bottom_bar_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/blur_bar" />

    <com.adealink.weparty.commonui.blurview.BlurView
        android:id="@+id/blur_bar"
        android:layout_width="0dp"
        android:layout_height="@dimen/main_bottom_bar_height"
        android:layout_marginHorizontal="42dp"
        android:background="@drawable/main_tab_bg"
        android:elevation="16dp"
        app:blurOverlayColor="@color/color_7FFFFFFF"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tl_tab"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:tabBackground="@null"
            app:tabGravity="fill"
            app:tabIndicatorHeight="0dp"
            app:tabMode="fixed"
            app:tabPadding="0dp"
            app:tabRippleColor="@null" />
    </com.adealink.weparty.commonui.blurview.BlurView>

</androidx.constraintlayout.widget.ConstraintLayout>